Xerces-J API: Class NOTATIONDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class NOTATIONDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--org.apache.xerces.validators.datatype.NOTATIONDatatypeValidator

public class NOTATIONDatatypeValidator
extends AbstractStringValidator

NOTATIONValidator defines the interface that data type validators must obey. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

Version:
  $Id: NOTATIONDatatypeValidator.java,v 1.11 2001/05/31 21:13:10 neilg Exp $
Author:
  Elena Litani, Jeffrey Rodriguez-, Mark Swinkles - List Validation refactoring

Fields inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`NOTATIONDatatypeValidator()`
`NOTATIONDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkValueSpace(java.lang.String content)`
`int` | `compare(java.lang.String content1, java.lang.String content2)` Compares content in the Domain value vs.

Methods inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`checkBaseFacetConstraints, clone, derivationList, getLength, inheritAdditionalFacets, setTokenType, validate, validateToken`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NOTATIONDatatypeValidator

    public NOTATIONDatatypeValidator()
                              throws InvalidDatatypeFacetException

### NOTATIONDatatypeValidator

    public NOTATIONDatatypeValidator(DatatypeValidator base,
                                     java.util.Hashtable facets,
                                     boolean derivedByList)
                              throws InvalidDatatypeFacetException

Method Detail

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractStringValidator

### checkValueSpace

    protected void checkValueSpace(java.lang.String content)
                            throws InvalidDatatypeValueException

  Overrides:
    checkValueSpace in class AbstractStringValidator

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.